Bug 885830 - modcluster{,d} crashes when local cluster.conf file is too large
Summary: modcluster{,d} crashes when local cluster.conf file is too large
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: clustermon
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Jan Pokorný [poki]
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 877381
Blocks: 886216
TreeView+ depends on / blocked
 
Reported: 2012-12-10 18:12 UTC by Radek Steiger
Modified: 2013-02-21 10:56 UTC (History)
5 users (show)

Fixed In Version: clustermon-0.16.2-20
Doc Type: Bug Fix
Doc Text:
Clone Of: 877381
Environment:
Last Closed: 2013-02-21 10:56:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 847234 high CLOSED Parameter length limitation in cluster.conf 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2013:0469 normal SHIPPED_LIVE clustermon bug fix update 2013-02-20 21:07:06 UTC

Internal Links: 847234

Comment 2 Radek Steiger 2012-12-10 18:16:04 UTC
I used a cluster.conf similar to that provided by Chris:
https://bugzilla.redhat.com/show_bug.cgi?id=815752#c5


With such config file modcluster crashed immediately upon start while parsing the local cluster.con.

GDB backtrace:

#0  File::read (this=0x7ffff7fe8280) at File.cpp:144
#1  0x00000000004231e9 in File::operator String const (this=<value optimized out>) at File.cpp:215
#2  0x0000000000438593 in readXML (filename=<value optimized out>) at XML.cpp:303
#3  0x000000000040e8b3 in ClusterMonitoring::Monitor::parse_cluster_conf (this=<value optimized out>) at Monitor.cpp:304
#4  0x000000000040fb93 in ClusterMonitoring::Monitor::get_local_info (this=0x7fffffffe280, nodename="", clustername="", msg="") at Monitor.cpp:199
#5  0x0000000000411aaf in ClusterMonitoring::Monitor::run (this=0x7fffffffe280) at Monitor.cpp:98
#6  0x000000000042cd7a in start_thread (thread_obj=<value optimized out>) at Thread.cpp:31
#7  0x000000324ca07851 in start_thread (arg=0x7ffff7fe9700) at pthread_create.c:301
#8  0x000000324c2e890d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115


# rpm -q modcluster
modcluster-0.16.2-19.el6.x86_64

Fix should probably be the same as in ricci (attachment 648116 [details]) in bug 877381.

Comment 5 Jan Pokorný [poki] 2012-12-10 18:45:16 UTC
BTW., both modclusterd and modcluster (from the same modcluster subpackage)
are affected as they both link with the same culprit module.

Comment 10 errata-xmlrpc 2013-02-21 10:56:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0469.html


Note You need to log in before you can comment on or make changes to this bug.